# Record Class St1DataDeviceLocationHistoryGetResponse

java.lang.Object
java.lang.Record
com.io7m.stonesignal.protocol.data.v1.St1DataDeviceLocationHistoryGetResponse

All Implemented Interfaces:
  `St1DataMessageType`

public record St1DataDeviceLocationHistoryGetResponse(List<St1DataLocation> locations) extends Record implements St1DataMessageType
The response to getting device locations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `St1DataDeviceLocationHistoryGetResponse(List<St1DataLocation> locations)`
  Creates an instance of a `St1DataDeviceLocationHistoryGetResponse` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `List<St1DataLocation>`
  `locations()`
  Returns the value of the `locations` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### St1DataDeviceLocationHistoryGetResponse

    public St1DataDeviceLocationHistoryGetResponse(@JsonPropertyDescription("The device locations.") List<St1DataLocation> locations)
    Creates an instance of a `St1DataDeviceLocationHistoryGetResponse` record class.
    Parameters:
      `locations` - the value for the `locations` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### locations

    @JsonPropertyDescription("The device locations.") public List<St1DataLocation> locations()
    Returns the value of the `locations` record component.
    Returns:
      the value of the `locations` record component